Loading...
Searching...
No Matches
Dune::Amg::PressureSolverPolicy< OperatorType, Solver, LevelTransferPolicy > Class Template Reference

## Public Types

using | Operator = OperatorType
| The type of the linear operator used.
using | CoarseLevelSolver = PressureInverseOperator
| The type of solver constructed for the coarse level.

## Public Member Functions

| PressureSolverPolicy (const Opm::PropertyTree &prm)
| Constructs the coarse solver policy.
template<class LTP>
void | setCoarseOperator (LTP &transferPolicy)
| Constructs a coarse level solver.
template<class LTP>
CoarseLevelSolver * | createCoarseLevelSolver (LTP &transferPolicy)

## Constructor & Destructor Documentation

## PressureSolverPolicy()

template<class OperatorType, class Solver, class LevelTransferPolicy>

Dune::Amg::PressureSolverPolicy< OperatorType, Solver, LevelTransferPolicy >::PressureSolverPolicy | ( | const Opm::PropertyTree & | prm | ) |

inline explicit

Constructs the coarse solver policy.

Parameters

  prm | Parameter tree specifying the solver details.

## Member Function Documentation

## setCoarseOperator()

template<class OperatorType, class Solver, class LevelTransferPolicy>
template<class LTP>

void Dune::Amg::PressureSolverPolicy< OperatorType, Solver, LevelTransferPolicy >::setCoarseOperator | ( | LTP & | transferPolicy | ) |

inline

Constructs a coarse level solver.

Parameters

  transferPolicy | The policy describing the transfer between levels.

Returns
  A pointer to the constructed coarse level solver.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/PressureSolverPolicy.hpp